This is the multi-page printable view of this section. Click here to print.
APIs
- 1: Accept a volume transfer
- 2: Attach Virtual Server Security Group
- 2.1: 1.0
- 3: Attach Volume to Virtual Server
- 4: Create a snapshot
- 5: Create a volume transfer
- 6: Create Auto-Scaling Group
- 7: Create Auto-Scaling Group Notification
- 8: Create Auto-Scaling Group Policy
- 9: Create Auto-Scaling Group Schedule
- 10: Create Image
- 11: Create Image member
- 12: Create Keypair
- 13: Create Launch Configuration
- 14: Create Server Group
- 15: Create Server Interface
- 16: Create Server Interface Nat
- 17: Create Server Interface Private Nat
- 18: Create Server Volume
- 19: Create Sharing Image
- 20: Create Virtual Server
- 21: Create Virtual Server Custom Image
- 22: Create Virtual Server Dump
- 23: Create Volume
- 24: Delete a snapshot
- 25: Delete a volume transfer
- 26: Delete Auto-Scaling Group
- 27: Delete Auto-Scaling Group Notification
- 28: Delete Auto-Scaling Group Policy
- 29: Delete Auto-Scaling Group Schedule
- 30: Delete Image
- 31: Delete Image member
- 32: Delete Keypair
- 33: Delete Launch Configuration
- 34: Delete Server Group
- 35: Delete Server Interface
- 36: Delete Server Interface Nat
- 37: Delete Server Interface Private Nat
- 38: Delete Server Volume
- 39: Delete Virtual Server
- 40: Delete Volume
- 41: Detach Virtual Server Security Group
- 41.1: 1.0
- 42: Detach Volume from Virtual Server
- 43: Extend Volume
- 44: Get region's maximum partition size.
- 45: Import Image
- 46: List Auto-Scaling Group LB Server Groups
- 47: List Auto-Scaling Group Notifications
- 48: List Auto-Scaling Group Policies
- 49: List Auto-Scaling Group Schedules
- 50: List Auto-Scaling Group Virtual Servers
- 51: List Auto-Scaling Groups
- 52: List Default Configs
- 53: List Image members
- 54: List Images
- 55: List Keypairs
- 56: List Launch Configurations
- 57: List pending Images
- 58: List Server Groups
- 59: List Server Interfaces
- 60: List Server Ips
- 61: List Server Types
- 62: List Server Volumes
- 63: List snapshots and details
- 64: List Virtual Server Security Group
- 65: List Virtual Servers
- 66: List volume transfers
- 67: List volume types and details
- 68: List volumes and details
- 69: Lock Virtual Server
- 70: Reboot Virtual Server
- 71: Rebuild Virtual Server
- 72: Revert Volume to snapshot
- 73: Show a snapshot’s details
- 74: Show Auto-Scaling Group
- 75: Show Auto-Scaling Group Notification
- 76: Show Auto-Scaling Group Policy
- 77: Show Auto-Scaling Group Schedule
- 78: Show default Volume type’s details
- 79: Show Image
- 80: Show Image member
- 81: Show Keypair
- 82: Show Launch Configuration
- 83: Show Server Group
- 84: Show Server Interface
- 85: Show Server Ip
- 86: Show Server Quota Set
- 87: Show Server Type
- 88: Show Server Volume
- 89: Show Virtual Server
- 90: Show Virtual Server Console Log
- 91: Show Virtual Server Password
- 92: Show Volume Quota Set
- 93: Show volume transfer detail
- 94: Show Volume type’s details
- 95: Show Volume's details
- 96: Start Virtual Server
- 97: Stop Virtual Server
- 98: Unlock Virtual Server
- 99: Update a snapshot
- 100: Update Auto-Scaling Group
- 101: Update Auto-Scaling Group LB Server Groups
- 102: Update Auto-Scaling Group Notification
- 103: Update Auto-Scaling Group Policy
- 104: Update Auto-Scaling Group Schedule
- 105: Update Auto-Scaling Group server count
- 106: Update Image
- 107: Update Image member
- 108: Update Server Interface
- 109: Update Server Volume
- 110: Update Virtual Server
- 111: Update Virtual Server type
- 112: Update Volume
1 - Accept a volume transfer
1.1 - 1.1
post /v1/volume-transfer/{transfer_id}/accept
Description
Accept a volume transfer.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transfer_id required | Transfer ID Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a | string | None |
| body | body required | VolumeTransferAccessRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeTransferAcceptResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer/{transfer_id}/accept
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"auth_key": "f5972fdb456897eb"
}
Example HTTP response
Response 202
{
"id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
1.2 - 1.0
post /v1/volume-transfer/{transfer_id}/accept
Description
Accept a volume transfer.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transfer_id required | Transfer ID Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a | string | None |
| body | body required | VolumeTransferAccessRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeTransferAcceptResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer/{transfer_id}/accept
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"auth_key": "f5972fdb456897eb"
}
Example HTTP response
Response 202
{
"id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
2 - Attach Virtual Server Security Group
2.1 - 1.0
post /v1/servers/{server_id}/security-groups
Description
Attach Virtual Server Security Group.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerSecurityGroupActionRequestBody |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/security-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"security_group_id": "c09c3f05-03d9-443f-b27a-40e0f973c75f"
}
Example HTTP response
Response 202
3 - Attach Volume to Virtual Server
3.1 - 1.1
post /v1/volumes/{volume_id}/servers
Description
Attach Volume to Virtual Server.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | Volume ID Example : 3f500f00-ed80-4566-a057-e31760226f9a | string | None |
| body | body required | VolumeServerAttachRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeServerAttachResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/servers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"delete_on_termination": false,
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}
Example HTTP response
Response 202
{
"delete_on_termination": false,
"device": "/dev/vda",
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
3.2 - 1.0
post /v1/volumes/{volume_id}/servers
Description
Attach Volume to Virtual Server.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | Volume ID Example : 3f500f00-ed80-4566-a057-e31760226f9a | string | None |
| body | body required | VolumeServerAttachRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeServerAttachResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/servers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"delete_on_termination": false,
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}
Example HTTP response
Response 202
{
"delete_on_termination": false,
"device": "/dev/vda",
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
4 - Create a snapshot
4.1 - 1.1
post /v1/snapshots
Description
Create a snapshot.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SnapshotCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/snapshots
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"description": "description",
"force": true,
"metadata": "",
"name": "snapshot-1",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
Example HTTP response
Response 202
{
"created_at": "2025-07-22T09:00:00Z",
"description": "description",
"id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
"metadata": "",
"name": "snapshot-1",
"size": 104,
"status": "available",
"updated_at": "2025-07-26T12:00:00Z",
"user_id": "570907805e5447be84b618450ef52o0t",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
4.2 - 1.0
post /v1/snapshots
Description
Create a snapshot.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SnapshotCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotDetailResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/snapshots
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"description": "description",
"force": true,
"metadata": "",
"name": "snapshot-1",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
Example HTTP response
Response 202
{
"created_at": "2025-07-22T09:00:00Z",
"description": "description",
"id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
"metadata": "",
"name": "snapshot-1",
"size": 104,
"status": "available",
"updated_at": "2025-07-26T12:00:00Z",
"user_id": "570907805e5447be84b618450ef52o0t",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
5 - Create a volume transfer
5.1 - 1.1
post /v1/volume-transfer
Description
Create a volume transfer.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VolumeTransferRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeTransferCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
Example HTTP response
Response 202
{
"auth_key": "f5972fdb456897eb",
"created_at": "",
"id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
5.2 - 1.0
post /v1/volume-transfer
Description
Create a volume transfer.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VolumeTransferRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeTransferCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
Example HTTP response
Response 202
{
"auth_key": "f5972fdb456897eb",
"created_at": "",
"id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
"name": "volume01",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
6 - Create Auto-Scaling Group
6.1 - 1.1
post /v1/auto-scaling-groups
Description
Create Auto-Scaling Group.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AutoScalingGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/auto-scaling-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"name": "auto-scaling-group-name",
"notifications": [],
"scaling_policies": [],
"security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
"server_name_prefix": "server-name-prefix",
"subnet_ids": [
""
],
"tags": "[{'key': 'key', 'value': 'value'}]"
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"launch_configuration_name": "launch-configuration-name",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "auto-scaling-group-name",
"security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
"server_name_prefix": "server-name-prefix",
"state": "IN_SERVICE",
"subnet_ids": [],
"total_server_count": 1,
"vpc_id": "cc976b621087484ea5fd527f4b78708b"
}
6.2 - 1.0
post /v1/auto-scaling-groups
Description
Create Auto-Scaling Group.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | AutoScalingGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/auto-scaling-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"name": "auto-scaling-group-name",
"notifications": [],
"scaling_policies": [],
"security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
"server_name_prefix": "server-name-prefix",
"subnet_ids": [
""
],
"tags": "[{'key': 'key', 'value': 'value'}]"
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"desired_server_count": 1,
"desired_server_count_editable": true,
"drain_enabled": true,
"drain_timeout": 300,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
"launch_configuration_name": "launch-configuration-name",
"lb_server_groups": [],
"max_server_count": 2,
"min_server_count": 1,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "auto-scaling-group-name",
"security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
"server_name_prefix": "server-name-prefix",
"state": "IN_SERVICE",
"subnet_ids": [],
"total_server_count": 1,
"vpc_id": "cc976b621087484ea5fd527f4b78708b"
}
7 - Create Auto-Scaling Group Notification
7.1 - 1.1
post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications
Description
Create Auto-Scaling Group notification.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupNotificationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupNotificationListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"user_ids": [
"570907805e5447be84b618450ef52o0t"
]
}
Example HTTP response
Response 201
{
"count": 20,
"notifications": [
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"notification_state": "ACTIVE",
"user_id": "570907805e5447be84b618450ef52o0t",
"user_name": "scpuser"
}
]
}
7.2 - 1.0
post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications
Description
Create Auto-Scaling Group notification.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupNotificationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupNotificationListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"user_ids": [
"570907805e5447be84b618450ef52o0t"
]
}
Example HTTP response
Response 201
{
"count": 20,
"notifications": [
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"notification_events": [
"SCALE_OUT",
"SCALE_OUT_FAIL"
],
"notification_state": "ACTIVE",
"user_id": "570907805e5447be84b618450ef52o0t",
"user_name": "scpuser"
}
]
}
8 - Create Auto-Scaling Group Policy
8.1 - 1.1
post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Description
Create Auto-Scaling Group policy.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupPolicyCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupPolicyShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"comparison_operator": "ge",
"cooldown_seconds": 300,
"evaluation_minutes": 1,
"metric_method": "AVG",
"metric_type": "CPU",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"threshold": 60
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"comparison_operator": "ge",
"cooldown_seconds": 300,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"evaluation_minutes": 1,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"metric_method": "AVG",
"metric_type": "CPU",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"state": "ACTIVE",
"threshold": 60,
"threshold_unit": "%"
}
8.2 - 1.0
post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Description
Create Auto-Scaling Group policy.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupPolicyCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupPolicyShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/policies
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"comparison_operator": "ge",
"cooldown_seconds": 300,
"evaluation_minutes": 1,
"metric_method": "AVG",
"metric_type": "CPU",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"threshold": 60
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
"comparison_operator": "ge",
"cooldown_seconds": 300,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"evaluation_minutes": 1,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"metric_method": "AVG",
"metric_type": "CPU",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "policy-name",
"scale_method": "AMOUNT",
"scale_type": "SCALE_OUT",
"scale_value": 10,
"state": "ACTIVE",
"threshold": 60,
"threshold_unit": "%"
}
9 - Create Auto-Scaling Group Schedule
9.1 - 1.1
post /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules
Description
Create Auto-Scaling Group schedule.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupScheduleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupScheduleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"day_of_month": "-1,1",
"day_of_week": "SU,SA",
"description": "description",
"desired_server_count": 1,
"end_date": "2025-01-01",
"frequency": "WEEKLY",
"hour": 9,
"max_server_count": 2,
"min_server_count": 1,
"minute": 0,
"name": "schedulename",
"start_date": "2024-01-01",
"state": "ACTIVE",
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"day_of_month": "-1,1",
"day_of_week": "SU,SA",
"description": "description",
"desired_server_count": 1,
"end_date": "2025-01-01",
"frequency": "WEEKLY",
"hour": 9,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"max_server_count": 2,
"min_server_count": 1,
"minute": 0,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "schedulename",
"start_date": "2024-01-01",
"state": "ACTIVE",
"timezone": "Asia/Seoul"
}
9.2 - 1.0
post /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules
Description
Create Auto-Scaling Group schedule.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| body | body required | AutoScalingGroupScheduleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | AutoScalingGroupScheduleShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"day_of_month": "-1,1",
"day_of_week": "SU,SA",
"description": "description",
"desired_server_count": 1,
"end_date": "2025-01-01",
"frequency": "WEEKLY",
"hour": 9,
"max_server_count": 2,
"min_server_count": 1,
"minute": 0,
"name": "schedulename",
"start_date": "2024-01-01",
"state": "ACTIVE",
"timezone": "Asia/Seoul"
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"day_of_month": "-1,1",
"day_of_week": "SU,SA",
"description": "description",
"desired_server_count": 1,
"end_date": "2025-01-01",
"frequency": "WEEKLY",
"hour": 9,
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"max_server_count": 2,
"min_server_count": 1,
"minute": 0,
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "schedulename",
"start_date": "2024-01-01",
"state": "ACTIVE",
"timezone": "Asia/Seoul"
}
10 - Create Image
10.1 - 1.1
post /v1/images
Description
Create Image.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ImageCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"container_format": "bare",
"disk_format": "qcow2",
"min_disk": 100,
"min_ram": 0,
"name": "imagename",
"os_distro": "alma",
"protected": false,
"tags": "[{'key': 'key', 'value': 'value'}]",
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
"visibility": "private"
}
Example HTTP response
Response 200
{
"checksum": "7538e0fcb56e0e272cfd89eb384d6613",
"container_format": "bare",
"created_at": "2025-07-22T09:00:00Z",
"disk_format": "qcow2",
"file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
"id": "70a599e0-31e7-49b7-b260-868f441e862b",
"min_disk": 100,
"min_ram": 0,
"name": "imagename",
"os_distro": "alma",
"os_hash_algo": "sha512",
"os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
"os_hidden": false,
"owner": "a8f10467abfc4b87b64614ab36eb9ae4",
"owner_account_name": "AccountName",
"owner_user_name": "user@samsung.com",
"protected": false,
"root_device_name": "/dev/vda",
"scp_image_type": "custom",
"scp_k8s_version": "v1.28.7",
"scp_original_image_type": "standard",
"scp_os_build_version": "20250101",
"scp_os_version": "8.8",
"size": 2429747200,
"status": "active",
"updated_at": "2025-07-26T12:00:00Z",
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
"virtual_size": 17179869184,
"visibility": "private",
"volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
}
10.2 - 1.0
post /v1/images
Description
Create Image.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ImageCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"container_format": "bare",
"disk_format": "qcow2",
"min_disk": 100,
"min_ram": 0,
"name": "imagename",
"os_distro": "alma",
"protected": false,
"tags": "[{'key': 'key', 'value': 'value'}]",
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
"visibility": "private"
}
Example HTTP response
Response 200
{
"checksum": "7538e0fcb56e0e272cfd89eb384d6613",
"container_format": "bare",
"created_at": "2025-07-22T09:00:00Z",
"disk_format": "qcow2",
"file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
"id": "70a599e0-31e7-49b7-b260-868f441e862b",
"min_disk": 100,
"min_ram": 0,
"name": "imagename",
"os_distro": "alma",
"os_hash_algo": "sha512",
"os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
"os_hidden": false,
"owner": "a8f10467abfc4b87b64614ab36eb9ae4",
"owner_account_name": "AccountName",
"owner_user_name": "user@samsung.com",
"protected": false,
"root_device_name": "/dev/vda",
"scp_image_type": "custom",
"scp_k8s_version": "v1.28.7",
"scp_original_image_type": "standard",
"scp_os_build_version": "20250101",
"scp_os_version": "8.8",
"size": 2429747200,
"status": "active",
"updated_at": "2025-07-26T12:00:00Z",
"url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
"virtual_size": 17179869184,
"visibility": "private",
"volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
}
11 - Create Image member
11.1 - 1.1
post /v1/images/{image_id}/members
Description
Create Image member.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | Image ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
| body | body required | ImageMemberCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageMemberShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/images/{image_id}/members
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"member_id": "a8f10467abfc4b87b64614ab36eb9ae4"
}
Example HTTP response
Response 200
{
"created_at": "2025-07-22T09:00:00Z",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"member_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"status": "pending",
"updated_at": "2025-07-26T12:00:00Z"
}
11.2 - 1.0
post /v1/images/{image_id}/members
Description
Create Image member.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | Image ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
| body | body required | ImageMemberCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ImageMemberShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/images/{image_id}/members
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"member_id": "a8f10467abfc4b87b64614ab36eb9ae4"
}
Example HTTP response
Response 200
{
"created_at": "2025-07-22T09:00:00Z",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"member_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"status": "pending",
"updated_at": "2025-07-26T12:00:00Z"
}
12 - Create Keypair
12.1 - 1.1
post /v1/keypairs
Description
Create keypair.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | KeypairCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | KeypairCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/keypairs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"name": "keypairname",
"public_key": "publickey",
"tags": "[{'key': 'key', 'value': 'value'}]"
}
Example HTTP response
Response 201
{
"fingerprint": "7e:eb:ab:24:ba:d1:e1:88:ae:9a:fb:66:53:df:d3:bd",
"name": "keypairname",
"private_key": "privatekey",
"public_key": "publickey",
"type": "ssh"
}
12.2 - 1.0
post /v1/keypairs
Description
Create keypair.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | KeypairCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | KeypairCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/keypairs
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"name": "keypairname",
"public_key": "publickey",
"tags": "[{'key': 'key', 'value': 'value'}]"
}
Example HTTP response
Response 201
{
"fingerprint": "7e:eb:ab:24:ba:d1:e1:88:ae:9a:fb:66:53:df:d3:bd",
"name": "keypairname",
"private_key": "privatekey",
"public_key": "publickey",
"type": "ssh"
}
13 - Create Launch Configuration
13.1 - 1.1
post /v1/launch-configurations
Description
Create Launch Configuration.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LaunchConfigurationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LaunchConfigurationDetailShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/launch-configurations
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"keypair_name": "keypairname",
"name": "launch-configuration-name",
"server_type_id": "s1v1m2",
"tags": "[{'key': 'key', 'value': 'value'}]",
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"size": 104,
"type": "SSD"
}
]
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_count": 1,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"image_name": "imagename",
"keypair_name": "keypairname",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "launch-configuration-name",
"public_key": "publickey",
"server_type_id": "s1v1m2",
"state": "ACTIVE",
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"size": 104,
"type": "SSD"
}
]
}
13.2 - 1.0
post /v1/launch-configurations
Description
Create Launch Configuration.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | LaunchConfigurationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | LaunchConfigurationDetailShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/launch-configurations
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"keypair_name": "keypairname",
"name": "launch-configuration-name",
"server_type_id": "s1v1m2",
"tags": "[{'key': 'key', 'value': 'value'}]",
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"size": 104,
"type": "SSD"
}
]
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"auto_scaling_group_count": 1,
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"image_name": "imagename",
"keypair_name": "keypairname",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "launch-configuration-name",
"public_key": "publickey",
"server_type_id": "s1v1m2",
"state": "ACTIVE",
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": [
{
"boot_index": 0,
"size": 104,
"type": "SSD"
}
]
}
14 - Create Server Group
14.1 - 1.1
post /v1/server-groups
Description
Create server group.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ServerGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | ServerGroup |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/server-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"name": "server-group",
"policy": "anti-affinity",
"tags": "[{'key': 'key', 'value': 'value'}]"
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
"members": "['2a9be312-5d4b-4bc8-b2ae-35100fa9241f']",
"name": "server-group",
"partition_size": 3,
"policy": "anti-affinity",
"user_id": "570907805e5447be84b618450ef52o0t"
}
14.2 - 1.0
post /v1/server-groups
Description
Create server group.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ServerGroupCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | ServerGroup |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/server-groups
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"name": "server-group",
"policy": "anti-affinity",
"tags": "[{'key': 'key', 'value': 'value'}]"
}
Example HTTP response
Response 201
{
"account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
"id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
"members": "['2a9be312-5d4b-4bc8-b2ae-35100fa9241f']",
"name": "server-group",
"partition_size": 3,
"policy": "anti-affinity",
"user_id": "570907805e5447be84b618450ef52o0t"
}
15 - Create Server Interface
15.1 - 1.1
post /v1/servers/{server_id}/interfaces
Description
Create Server Interface.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerInterfaceCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InterfaceResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
"subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}
Example HTTP response
Response 200
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"mac_addr": "fa:16:3e:c0:71:2b",
"port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
"port_state": "ACTIVE",
"private_static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
"state": "ACTIVE"
},
"static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
"state": "ACTIVE"
},
"subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}
15.2 - 1.0
post /v1/servers/{server_id}/interfaces
Description
Create Server Interface.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerInterfaceCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InterfaceResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
"subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}
Example HTTP response
Response 200
{
"fixed_ips": [
{
"ip_address": "192.169.3.2"
}
],
"mac_addr": "fa:16:3e:c0:71:2b",
"port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
"port_state": "ACTIVE",
"private_static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
"state": "ACTIVE"
},
"static_nat": {
"external_ip_address": "182.197.61.81",
"id": "224b80106e6f41b38efe98ac9ddbf280",
"publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
"state": "ACTIVE"
},
"subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}
16 - Create Server Interface Nat
16.1 - 1.1
post /v1/servers/{server_id}/interfaces/{port_id}/static-nats
Description
Create Server Interface Nat.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | port_id required | Port ID Example : 91424c08-0b26-49fb-9808-ed042292ceef | string | None |
| body | body required | ServerStaticNatCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces/{port_id}/static-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"publicip_id": "615fa9cd5cff486c9de679b3ce63e601"
}
Example HTTP response
Response 201
16.2 - 1.0
post /v1/servers/{server_id}/interfaces/{port_id}/static-nats
Description
Create Server Interface Nat.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | port_id required | Port ID Example : 91424c08-0b26-49fb-9808-ed042292ceef | string | None |
| body | body required | ServerStaticNatCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces/{port_id}/static-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"publicip_id": "615fa9cd5cff486c9de679b3ce63e601"
}
Example HTTP response
Response 201
17 - Create Server Interface Private Nat
17.1 - 1.1
post /v1/servers/{server_id}/interfaces/{port_id}/private-static-nats
Description
Create Server Interface Private Nat.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | port_id required | Port ID Example : 91424c08-0b26-49fb-9808-ed042292ceef | string | None |
| body | body required | ServerPrivateStaticNatCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces/{port_id}/private-static-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"private_nat_id": "3a6c1dc6b1b24e02a444d672c2798a1c",
"private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496"
}
Example HTTP response
Response 201
17.2 - 1.0
post /v1/servers/{server_id}/interfaces/{port_id}/private-static-nats
Description
Create Server Interface Private Nat.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | port_id required | Port ID Example : 91424c08-0b26-49fb-9808-ed042292ceef | string | None |
| body | body required | ServerPrivateStaticNatCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces/{port_id}/private-static-nats
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"private_nat_id": "3a6c1dc6b1b24e02a444d672c2798a1c",
"private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496"
}
Example HTTP response
Response 201
18 - Create Server Volume
18.1 - 1.1
post /v1/servers/{server_id}/volumes
Description
Create Server Volume.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerVolumesCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServersVolumeResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/volumes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"delete_on_termination": false,
"device": "/dev/vda",
"volume_id": ""
}
Example HTTP response
Response 200
{
"delete_on_termination": false,
"device": "/dev/vda",
"id": "3ad1cc18-1b09-4f51-9b1d-4ce4243f6a4c",
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
18.2 - 1.0
post /v1/servers/{server_id}/volumes
Description
Create Server Volume.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerVolumesCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServersVolumeResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/volumes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"delete_on_termination": false,
"device": "/dev/vda",
"volume_id": ""
}
Example HTTP response
Response 200
{
"delete_on_termination": false,
"device": "/dev/vda",
"id": "3ad1cc18-1b09-4f51-9b1d-4ce4243f6a4c",
"server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
"volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}
19 - Create Sharing Image
19.1 - 1.1
post /v1/images/{image_id}/share
Description
Create Sharing Image.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | Image ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/images/{image_id}/share
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 202
19.2 - 1.0
post /v1/images/{image_id}/share
Description
Create Sharing Image.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | Image ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/images/{image_id}/share
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 202
20 - Create Virtual Server
20.1 - 1.1
post /v1/servers
Description
Create Virtual Server.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ServerCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ServerCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"keypair_name": "keypairname",
"lock": false,
"max_count": 2,
"metadata": "",
"name": "servername",
"networks": [
{
"fixed_ip": "192.169.3.2",
"port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
"public_ip_id": "615fa9cd5cff486c9de679b3ce63e601",
"subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}
],
"partition_number": 1,
"product_category": "compute",
"product_offering": "virtual_server",
"security_groups": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
"server_group_id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
"server_type_id": "s1v1m2",
"tags": "[{'key': 'key', 'value': 'value'}]",
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": []
}
Example HTTP response
Response 202
{
"servers": [
{
"id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}
]
}
20.2 - 1.0
post /v1/servers
Description
Create Virtual Server.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ServerCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ServerCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"keypair_name": "keypairname",
"lock": false,
"max_count": 2,
"metadata": "",
"name": "servername",
"networks": [
{
"fixed_ip": "192.169.3.2",
"port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
"public_ip_id": "615fa9cd5cff486c9de679b3ce63e601",
"subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}
],
"partition_number": 1,
"product_category": "compute",
"product_offering": "virtual_server",
"security_groups": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
"server_group_id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
"server_type_id": "s1v1m2",
"tags": "[{'key': 'key', 'value': 'value'}]",
"user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
"volumes": []
}
Example HTTP response
Response 202
{
"servers": [
{
"id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}
]
}
21 - Create Virtual Server Custom Image
21.1 - 1.1
post /v1/servers/{server_id}/images
Description
Create Virtual Server Custom Image.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerCreateImageRequestBody |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ServerCreateImageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"image_name": "imagename"
}
Example HTTP response
Response 202
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b"
}
21.2 - 1.0
post /v1/servers/{server_id}/images
Description
Create Virtual Server Custom Image.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| body | body required | ServerCreateImageRequestBody |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ServerCreateImageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/images
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"image_name": "imagename"
}
Example HTTP response
Response 202
{
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b"
}
22 - Create Virtual Server Dump
22.1 - 1.1
post /v1/servers/{server_id}/dump
Description
Create Virtual Server Dump.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/dump
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 202
22.2 - 1.0
post /v1/servers/{server_id}/dump
Description
Create Virtual Server Dump.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/dump
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 202
23 - Create Volume
23.1 - 1.1
post /v1/volumes
Description
Create a Volume.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VolumeCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volumes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Request body
{
"name": "volume01",
"size": 104,
"snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
"tags": "[{'key': 'key', 'value': 'value'}]",
"volume_type": "SSD"
}
Example HTTP response
Response 202
{
"bootable": false,
"created_at": "2026-02-11T06:44:43.173Z",
"encrypted": true,
"id": "3f500f00-ed80-4566-a057-e31760226f9a",
"modified_at": "2025-07-26T12:00:00Z",
"multiattach": false,
"name": "volume01",
"servers": [
{
"attached_at": "2026-02-11T06:44:43.173Z",
"device": "/dev/vda",
"id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}
],
"size": 104,
"snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
"state": "available",
"user_id": "570907805e5447be84b618450ef52o0t",
"volume_image_metadata": {
"checksum": "7538e0fcb56e0e272cfd89eb384d6613",
"container_format": "bare",
"disk_format": "qcow2",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"image_name": "imagename",
"min_disk": 100,
"min_ram": 0,
"os_distro": "alma",
"scp_image_type": "custom",
"scp_k8s_version": "v1.28.7",
"scp_original_image_type": "standard",
"signature_verified": false,
"size": 2429747200
},
"volume_type": "SSD",
"volume_type_id": "c643ac35-3aec-43e6-b97a-3d6f666c5207"
}
23.2 - 1.0
post /v1/volumes
Description
Create a Volume.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VolumeCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volumes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Request body
{
"name": "volume01",
"size": 104,
"snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
"tags": "[{'key': 'key', 'value': 'value'}]",
"volume_type": "SSD"
}
Example HTTP response
Response 202
{
"bootable": false,
"created_at": "2026-02-11T06:44:40.300Z",
"encrypted": true,
"id": "3f500f00-ed80-4566-a057-e31760226f9a",
"modified_at": "2025-07-26T12:00:00Z",
"multiattach": false,
"name": "volume01",
"servers": [
{
"attached_at": "2026-02-11T06:44:40.301Z",
"device": "/dev/vda",
"id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}
],
"size": 104,
"snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
"state": "available",
"user_id": "570907805e5447be84b618450ef52o0t",
"volume_image_metadata": {
"checksum": "7538e0fcb56e0e272cfd89eb384d6613",
"container_format": "bare",
"disk_format": "qcow2",
"image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
"image_name": "imagename",
"min_disk": 100,
"min_ram": 0,
"os_distro": "alma",
"scp_image_type": "custom",
"scp_k8s_version": "v1.28.7",
"scp_original_image_type": "standard",
"signature_verified": false,
"size": 2429747200
},
"volume_type": "SSD",
"volume_type_id": "c643ac35-3aec-43e6-b97a-3d6f666c5207"
}
24 - Delete a snapshot
24.1 - 1.1
delete /v1/snapshots/{snapshot_id}
Description
Delete a snapshot.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | snapshot_id required | Snapshot ID Example : cceed636-1f1e-4bb0-b85c-4e5b9e0bf790 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/snapshots/{snapshot_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 202
24.2 - 1.0
delete /v1/snapshots/{snapshot_id}
Description
Delete a snapshot.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | snapshot_id required | Snapshot ID Example : cceed636-1f1e-4bb0-b85c-4e5b9e0bf790 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/snapshots/{snapshot_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 202
25 - Delete a volume transfer
25.1 - 1.1
delete /v1/volume-transfer/{transfer_id}
Description
Delete a volume transfer.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transfer_id required | Transfer ID Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer/{transfer_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 202
25.2 - 1.0
delete /v1/volume-transfer/{transfer_id}
Description
Delete a volume transfer.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transfer_id required | Transfer ID Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volume-transfer/{transfer_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 202
26 - Delete Auto-Scaling Group
26.1 - 1.1
delete /v1/auto-scaling-groups/{auto_scaling_group_id}
Description
Delete Auto-Scaling Group.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 204
26.2 - 1.0
delete /v1/auto-scaling-groups/{auto_scaling_group_id}
Description
Delete Auto-Scaling Group.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 204
27 - Delete Auto-Scaling Group Notification
27.1 - 1.1
delete /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications/{notification_id}
Description
Delete Auto-Scaling Group notification.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| path | notification_id required | Notification ID Example : fa7fd191410744cd810a290c0b4d22b9 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications/{notification_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 204
27.2 - 1.0
delete /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications/{notification_id}
Description
Delete Auto-Scaling Group notification.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| path | notification_id required | Notification ID Example : fa7fd191410744cd810a290c0b4d22b9 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications/{notification_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 204
28 - Delete Auto-Scaling Group Policy
28.1 - 1.1
delete /v1/auto-scaling-groups/{auto_scaling_group_id}/policies/{policy_id}
Description
Delete Auto-Scaling Group policy.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| path | policy_id required | Policy ID Example : 0761d76085f54363bab07909baf69841 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/policies/{policy_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 204
28.2 - 1.0
delete /v1/auto-scaling-groups/{auto_scaling_group_id}/policies/{policy_id}
Description
Delete Auto-Scaling Group policy.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| path | policy_id required | Policy ID Example : 0761d76085f54363bab07909baf69841 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/policies/{policy_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 204
29 - Delete Auto-Scaling Group Schedule
29.1 - 1.1
delete /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}
Description
Delete Auto-Scaling Group schedule.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| path | schedule_id required | Schedule ID Example : 43d4841abd404220af5f0904037aba71 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 204
29.2 - 1.0
delete /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}
Description
Delete Auto-Scaling Group schedule.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | auto_scaling_group_id required | Auto-Scaling Group ID Example : 52613bd852b04b39adcb15a8364d856d | string | None |
| path | schedule_id required | Schedule ID Example : 43d4841abd404220af5f0904037aba71 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 204
30 - Delete Image
30.1 - 1.1
delete /v1/images/{image_id}
Description
Delete Image.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | Image ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/images/{image_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 204
30.2 - 1.0
delete /v1/images/{image_id}
Description
Delete Image.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | Image ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/images/{image_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 204
31 - Delete Image member
31.1 - 1.1
delete /v1/images/{image_id}/members/{member_id}
Description
Delete Image member.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | Image ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
| path | member_id required | Member ID Example : a8f10467abfc4b87b64614ab36eb9ae4 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/members/{member_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 204
31.2 - 1.0
delete /v1/images/{image_id}/members/{member_id}
Description
Delete Image member.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | image_id required | Image ID Example : 70a599e0-31e7-49b7-b260-868f441e862b | string | None |
| path | member_id required | Member ID Example : a8f10467abfc4b87b64614ab36eb9ae4 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/images/{image_id}/members/{member_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 204
32 - Delete Keypair
32.1 - 1.1
delete /v1/keypairs/{keypair_name}
Description
Delete keypair.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | keypair_name required | Keypair name Example : keypairname | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/keypairs/{keypair_name}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 204
32.2 - 1.0
delete /v1/keypairs/{keypair_name}
Description
Delete keypair.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | keypair_name required | Keypair name Example : keypairname | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/keypairs/{keypair_name}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 204
33 - Delete Launch Configuration
33.1 - 1.1
delete /v1/launch-configurations/{launch_configuration_id}
Description
Delete Launch Configuration.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | launch_configuration_id required | Launch Configuration ID Example : b5aea5a675fc4f6b9e0fcd1288354c5f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/launch-configurations/{launch_configuration_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 204
33.2 - 1.0
delete /v1/launch-configurations/{launch_configuration_id}
Description
Delete Launch Configuration.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | launch_configuration_id required | Launch Configuration ID Example : b5aea5a675fc4f6b9e0fcd1288354c5f | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/launch-configurations/{launch_configuration_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 204
34 - Delete Server Group
34.1 - 1.1
delete /v1/server-groups/{server_group_id}
Description
Delete server group
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_group_id required | Server Group ID Example : 616fb98f-46ca-475e-917e-2563e5a8cd19 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/server-groups/{server_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 200
34.2 - 1.0
delete /v1/server-groups/{server_group_id}
Description
Delete server group
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_group_id required | Server Group ID Example : 616fb98f-46ca-475e-917e-2563e5a8cd19 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/server-groups/{server_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 200
35 - Delete Server Interface
35.1 - 1.1
delete /v1/servers/{server_id}/interfaces/{port_id}
Description
Delete Server Interface.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | port_id required | Port ID Example : 91424c08-0b26-49fb-9808-ed042292ceef | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces/{port_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 200
35.2 - 1.0
delete /v1/servers/{server_id}/interfaces/{port_id}
Description
Delete Server Interface.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | port_id required | Port ID Example : 91424c08-0b26-49fb-9808-ed042292ceef | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces/{port_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 200
36 - Delete Server Interface Nat
36.1 - 1.1
delete /v1/servers/{server_id}/interfaces/{port_id}/static-nats/{nat_id}
Description
Delete Server Interface Nat.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | port_id required | Port ID Example : 91424c08-0b26-49fb-9808-ed042292ceef | string | None |
| path | nat_id required | NAT ID Example : 224b80106e6f41b38efe98ac9ddbf280 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces/{port_id}/static-nats/{nat_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 202
36.2 - 1.0
delete /v1/servers/{server_id}/interfaces/{port_id}/static-nats/{nat_id}
Description
Delete Server Interface Nat.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | port_id required | Port ID Example : 91424c08-0b26-49fb-9808-ed042292ceef | string | None |
| path | nat_id required | NAT ID Example : 224b80106e6f41b38efe98ac9ddbf280 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces/{port_id}/static-nats/{nat_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 202
37 - Delete Server Interface Private Nat
37.1 - 1.1
delete /v1/servers/{server_id}/interfaces/{port_id}/private-static-nats/{nat_id}
Description
Delete Server Interface Private Nat.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | port_id required | Port ID Example : 91424c08-0b26-49fb-9808-ed042292ceef | string | None |
| path | nat_id required | NAT ID Example : 224b80106e6f41b38efe98ac9ddbf280 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces/{port_id}/private-static-nats/{nat_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 202
37.2 - 1.0
delete /v1/servers/{server_id}/interfaces/{port_id}/private-static-nats/{nat_id}
Description
Delete Server Interface Private Nat.
State ACTIVE (DEPRECATED)
| Version | Supported Until |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | port_id required | Port ID Example : 91424c08-0b26-49fb-9808-ed042292ceef | string | None |
| path | nat_id required | NAT ID Example : 224b80106e6f41b38efe98ac9ddbf280 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/interfaces/{port_id}/private-static-nats/{nat_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 202
38 - Delete Server Volume
38.1 - 1.1
delete /v1/servers/{server_id}/volumes/{volume_id}
Description
Delete Server Volume.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| path | volume_id required | Volume ID Example : 3f500f00-ed80-4566-a057-e31760226f9a | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/volumes/{volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 202
38.2 - 1.0
[...]
